def var h as handle.
def var ch as char.
def var i as int.
def var l as log.

function checkType returns int (i as int, h as handle, t as char).
   if (h:type <> t)
     then message "for case" string(i) h:type "is incorrect; expecting" t.
end.

function firstChild returns handle (h as handle).
   h = h:first-child.
   h = h:first-child.
   return h.
end.

/*
VIEW-AS
{ combo-box-phrase
| editor-phrase
| FILL-IN
[ NATIVE ]
[ size-phrase ]
[ TOOLTIP tooltip ]
| radio-set-phrase
| selection-list-phrase
| slider-phrase
| TEXT
[ size-phrase ]
[ TOOLTIP tooltip ]
| TOGGLE-BOX
[ size-phrase ]
[ TOOLTIP tooltip ]
}*/

/* static widgets 
TODO: problem converting frame f1:first-child:first-child.
*/

/* display cases */
display "f1" with frame f1.
h = firstChild(frame f1:handle).
hide frame f1 no-pause.
checkType(1, h, "FILL-IN").

display ch with frame f1b.
h = firstChild(frame f1b:handle).
hide frame f1b no-pause.
checkType(2, h, "FILL-IN").

display ch view-as combo-box with frame f2.
h = firstChild(frame f2:handle).
hide frame f2 no-pause.
checkType(3, h, "COMBO-BOX").

display ch view-as editor size 10 by 10 with frame f3.
h = firstChild(frame f3:handle).
hide frame f3 no-pause.
checkType(4, h, "EDITOR").

display ch view-as fill-in with frame f4.
h = firstChild(frame f4:handle).
hide frame f4 no-pause.
checkType(5, h, "FILL-IN").

/*
display ch view-as radio-set radio-buttons ch, "b1" with frame f6.
h = firstChild(frame f6:handle).
hide frame f6 no-pause.
checkType(6, h, "RADIO-SET").

display i view-as slider max-value 10 min-value 1 with frame f7.
h = firstChild(frame f7:handle).
hide frame f7 no-pause.
checkType(7, h, "SLIDER").
*/

display "f8" view-as text with frame f8.
h = firstChild(frame f8:handle).
hide frame f8 no-pause.
checkType(8, h, "TEXT").

display l view-as toggle-box with frame f9.
h = firstChild(frame f9:handle).
hide frame f9 no-pause.
checkType(9, h, "TOGGLE-BOX").

