def temp-table tt1 field f1 as int.

def var h as handle.

function checkType returns int (h as handle, t as char).
   if (h:type <> t)
     then message h:type "is incorrect; expecting" t.
end.

/* CREATE widget statement 
create control-frame h.
checkType(h, "CONTROL-FRAME").

create window h.
checkType(h, "WINDOW").

create dialog-box h.
checkType(h, "DIALOG-BOX").

create image h.
checkType(h, "IMAGE").

create menu h.
checkType(h, "MENU").

create menu-item h.
checkType(h, "MENU-ITEM").

create slider h.
checkType(h, "SLIDER").

create sub-menu h.
checkType(h, "SUB-MENU").
*/

create button h.
checkType(h, "BUTTON").

create combo-box h.
checkType(h, "COMBO-BOX").

create editor h.
checkType(h, "EDITOR").

create fill-in h.
checkType(h, "FILL-IN").

create frame h.
checkType(h, "FRAME").

create radio-set h.
checkType(h, "RADIO-SET").

create rectangle h.
checkType(h, "RECTANGLE").

create selection-list h.
checkType(h, "SELECTION-LIST").

create text h.
checkType(h, "TEXT").

create toggle-box h.
checkType(h, "TOGGLE-BOX").

/* system handles */
h = session.
checkType(h, "PSEUDO-WIDGET").

h = last-event.
checkType(h, "PSEUDO-WIDGET").

h = file-info.
checkType(h, "PSEUDO-WIDGET").

h = error-status.
checkType(h, "PSEUDO-WIDGET").

h = current-window.
checkType(h, "WINDOW").

h = focus.

/* procedure-related handles */
/*
run resource_type_empty.p asynchronous set h.
checkType(h, "ASYNC-REQUEST").
*/
h = this-procedure.
checkType(h, "PROCEDURE").

/* CREATE statement handles 
create browse h.
checkType(h, "BROWSE").

create buffer h for table "tt1".
checkType(h, "BUFFER").

create query h.
checkType(h, "QUERY").

create temp-table h.
checkType(h, "TEMP-TABLE").
*/

create sax-attributes h.
checkType(h, "SAX-ATTRIBUTES").

create sax-reader h.
checkType(h, "SAX-READER").

create sax-writer h.
checkType(h, "SAX-WRITER").

create server h.
checkType(h, "SERVER").

create server-socket h.
checkType(h, "SERVER-SOCKET").

create soap-header h.
checkType(h, "SOAP-HEADER").

create soap-header-entryref h.
checkType(h, "SOAP-HEADER-ENTRYREF").

create socket h.
checkType(h, "SOCKET").

create x-document h.
checkType(h, "X-DOCUMENT").

create x-noderef h.
checkType(h, "X-NODEREF").

/*
TODO:
SOAP-FAULT
SOAP-FAULT-DETAIL
*/