def var h as handle.
def var ch as char.
def var i as int.
def var l as log.

function checkType returns int (i as int, h as handle, t as char).
   if (h:type <> t)
     then message "for case" string(i) h:type "is incorrect; expecting" t.
end.

function firstChild returns handle (h as handle).
   h = h:first-child.
   h = h:first-child.
   return h.
end.

form "f1" with frame f1.
h = firstChild(frame f1:handle).
hide frame f1 no-pause.
checkType(1, h, "LITERAL").

form "f2" view-as text with frame f2.
h = firstChild(frame f2:handle).
hide frame f2 no-pause.
checkType(2, h, "LITERAL").

display "f3" with frame f3.
h = firstChild(frame f3:handle).
hide frame f3 no-pause.
checkType(3, h, "FILL-IN").

display "f4" view-as text with frame f4.
h = firstChild(frame f4:handle).
hide frame f4 no-pause.
checkType(4, h, "TEXT").

display "f5" view-as fill-in with frame f5.
h = firstChild(frame f5:handle).
hide frame f5 no-pause.
checkType(5, h, "FILL-IN").

display "f6" with frame f6 use-text.
h = firstChild(frame f6:handle).
hide frame f6 no-pause.
checkType(6, h, "TEXT").

form "f7" with frame f7 use-text.
h = firstChild(frame f7:handle).
hide frame f7 no-pause.
checkType(7, h, "LITERAL").