   def var l as logical.
   def var ch as char.
   
   function checkNoError returns int(i as int, ll as log).
      if error-status:error or error-status:num-messages <> 0
      then message "Something is wrong for case " i.
      
      if l <> ll then message "Return value is wrong for case " i.
      
      if session:get-wait-state() <> "" then message "get-wait-state() is incorrect!".
   end.
   
   ch = ?.
   l = session:set-wait-state(ch) no-error.
   checkNoError(1, ?).
   
   ch = "COMPILER".
   l = session:set-wait-state(ch) no-error.
   checkNoError(2, ?).
   
   ch = "GENERAL".
   l = session:set-wait-state(ch) no-error.
   checkNoError(3, ?).
   
   ch = "invalid".
   l = session:set-wait-state(ch) no-error.
   checkNoError(4, ?).
   
   l = session:set-wait-state("COMPILER") no-error.
   checkNoError(5, ?).
   
   l = session:set-wait-state("GENERAL") no-error.
   checkNoError(6, ?).
   
   l = session:set-wait-state("invalid") no-error.
   checkNoError(7, ?).
   
   if (session:parameter <> "test") then message "Session parameter [" session:parameter "] is not as expected: test".
   
   if (session:client-type <> "4GLCLIENT") then message "Client type [" session:client-type "] is not as expected: 4GLCLIENT".
   
   if (session:window-system <> "TTY") then message "Window system [" session:window-system "] is not as expected: TTY".